9.8 emuNAND Browser Downgrade for Ninjhax

Discussion in '3DS - Flashcards & Custom Firmwares' started by TheMaxynator, Jul 14, 2015.

  1. TheMaxynator
    OP

    TheMaxynator Advanced Member

    Newcomer
    99
    16
    Oct 27, 2014
    Netherlands
    The Netherlands
    Hey guys! I have a problem.

    I've been trying all day to downgrade my browser from the unexploitable version, to version 1.7567 v4096 (which is from 7.1.0-16E if I'm correct) so that I can run ninjhax again in my emuNAND. (I only have a .cia of Cubic Ninja so I want to do it in emuNAND). (Note: I have my emuNAND on 9.8.0-25E and I DO HAVE the boot.3dsx on the root of my SD card)
    • I've used 3DNUS to download title id: 0004003000009D02 version: 4096 and compile it as a .cia
    • I used Title Manager in my emuNAND to delete title Browser for EU. And then used it to install the compiled 3DNUS .cia .
    • No errors occured and I proceeded to open my browser (no crashes or anything) and it tells me that the browser is on version 1.7567 (which should be the exploitable 7.1.0-16E browser)
    • I open my Cubic Ninja and scan the QR Code: OLD 7 1 0 16 E
    • It downloads the exploit and I want to load it, pressing A twice
    • The exploit starts to run, but gets stuck at 40% and opens the web browser. It tries to reload the last web page I was in (the standard Nintendo website) and after that it gets stuck. I can't go back to the home menu, and the browser itself doesn't respond either. The only way to get out now is to hold the Power button.
    What am I doing wrong here? Any help would be greatly appriciated! :)
     
  2. Dartz150

    Dartz150 GBATemp Official Lolicon Onii-chan™

    Member
    1,406
    845
    May 5, 2010
    Mexico
    On a Strange Journey
    I'm making a flawless guide to run it correctly, seems to be your Sysnand verison instead of your EmuNAND, and on emunand you can't have aces to already patched exploits.
     
  3. TheMaxynator
    OP

    TheMaxynator Advanced Member

    Newcomer
    99
    16
    Oct 27, 2014
    Netherlands
    The Netherlands
    No, I'm sure I'm on my emuNAND lol. My sysNAND is on 4.4.0-10E. This video seems to be doing exactly what I want. But like I explained in the OP, ninjhax gets stuck at 40% for me. It seems that my browser downgrade is successful though!
     
  4. Dartz150

    Dartz150 GBATemp Official Lolicon Onii-chan™

    Member
    1,406
    845
    May 5, 2010
    Mexico
    On a Strange Journey
    You should install the browser again but using FBI, since it has overwrite feature now.

    Wich version is your emunand on?
     
  5. TheMaxynator
    OP

    TheMaxynator Advanced Member

    Newcomer
    99
    16
    Oct 27, 2014
    Netherlands
    The Netherlands
     
  6. Gadorach

    Gadorach Electronics Engineering Technologist

    Member
    952
    684
    Jan 22, 2014
    Canada
    Canada
    Ninjhax relies on exploits that have been patched in the actual firmware of updates 9.3.0 and newer. You can still downgrade your browser and perform RAM hacks through webkit ROP, but that's it. Ninjhax 1.0 cannot load on 9.8FW, regardless of whether or not it's SysNAND or EmuNAND.
     
  7. Sharky48

    Sharky48 Newbie

    Newcomer
    6
    0
    Oct 18, 2015
    Belgium
    Hi Guys,
    Came upon this thread while researching my problem.

    I have an Old 3DS XL with sysNAND 6.2.0-10E which I can't run Ninjhax of Browserhax on.
    When I run Ninjhax, it gets to the screen where you can install to savegame or not. Then it goes to 40%, blinks and starts the browser. It loads a page, nothing comes on screen but the device freezes. What can I do here?

    Is 6.2.0-10E the problem? Should I be on 6.2.0-12E for some reason?
     
  8. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,441
    4,753
    Mar 17, 2010
    Norway
    Alola
    Ninjhax 1.1 should work with that firmware version (2.x won't work below 9.0) but since you are on 6.2 it would be best to install rxTools, use rxTools Pasta Mode + sysupdater to update your 3DS to 9.2, and set up emuNAND + menuhax autoboot. Then you can install CIAs and use hblauncher_loader in your emuNAND to load homebrew.
     
  9. Sharky48

    Sharky48 Newbie

    Newcomer
    6
    0
    Oct 18, 2015
    Belgium
    I tried Ninjhax 1.1b, no succes. I tried launching/installing rxTools, also no succes. Tried new and old versions. Not even rxTools 2.6 worked.
    Then I read in this thread:

    If you've tried launching rxTools many times and you are always greeted by an error, and if you are below 9.0 firmware, there is a chance that your 3DS is, for some reason, unable to use rxTools 3.0. To overcome this issue, download rxTools 2.5.2

    And it seems to work. I've succesfully updated my sysNAND to 9.2.0-20E
    Thanks

     
    Last edited by Sharky48, Feb 7, 2016
  10. Rusb

    Rusb GBAtemp Regular

    Member
    134
    51
    Apr 17, 2014
    Last edited by Rusb, Feb 7, 2016